> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Create a new sub-account under a master account.

POST https://api.brevo.com/v3/corporate/subAccount
Content-Type: application/json

This endpoint will create a new sub-account under a master account

Reference: https://developers.brevo.com/reference/create-a-new-sub-account-under-a-master-account

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Body (application/json)

This endpoint expects an object.

- `companyName` (string, required) — Set the name of the sub-account company
- `email` (string, required) — Email address for the organization
- `groupIds` (list of string, optional) — Set the group(s) for the sub-account
- `language` (enum, optional) — Set the language of the sub-account
  - Allowed values: `en`, `fr`, `it`, `es`, `pt`, `de`
- `timezone` (string, optional) — Set the timezone of the sub-account

## Response

### 201

Created sub-account ID

- `id` (long, required) — ID of the sub-account created

## Errors

### 400 Bad Request Error

Bad request

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

## Examples

**Request**

```json
{
  "companyName": "Test Sub-account",
  "email": "test-sub@example.com",
  "groupIds": [
    "5f8f8c3b5f56a02d4433b3a7",
    "5f8f8c3b5f56a02d4433b3a8"
  ],
  "language": "fr",
  "timezone": "Europe/Paris"
}
```

**Response**

```json
{
  "id": 4109344
}
```

**SDK Code**

```typescript response
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.masterAccount.createANewSubAccountUnderAMasterAccount({
        companyName: "Test Sub-account",
        email: "test-sub@example.com",
        groupIds: [
            "5f8f8c3b5f56a02d4433b3a7",
            "5f8f8c3b5f56a02d4433b3a8",
        ],
        language: "fr",
        timezone: "Europe/Paris",
    });
}
main();

```

```python response
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.master_account.create_a_new_sub_account_under_a_master_account(
    company_name="Test Sub-account",
    email="test-sub@example.com",
    group_ids=[
        "5f8f8c3b5f56a02d4433b3a7",
        "5f8f8c3b5f56a02d4433b3a8"
    ],
    language="fr",
    timezone="Europe/Paris",
)

```

```php response
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\MasterAccount\Requests\PostCorporateSubAccountRequest;
use Brevo\MasterAccount\Types\PostCorporateSubAccountRequestLanguage;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->masterAccount->createANewSubAccountUnderAMasterAccount(
    new PostCorporateSubAccountRequest([
        'companyName' => 'Test Sub-account',
        'email' => 'test-sub@example.com',
        'groupIds' => [
            '5f8f8c3b5f56a02d4433b3a7',
            '5f8f8c3b5f56a02d4433b3a8',
        ],
        'language' => PostCorporateSubAccountRequestLanguage::Fr->value,
        'timezone' => 'Europe/Paris',
    ]),
);

```

```go response
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/corporate/subAccount"

	payload := strings.NewReader("{\n  \"companyName\": \"Test Sub-account\",\n  \"email\": \"test-sub@example.com\",\n  \"groupIds\": [\n    \"5f8f8c3b5f56a02d4433b3a7\",\n    \"5f8f8c3b5f56a02d4433b3a8\"\n  ],\n  \"language\": \"fr\",\n  \"timezone\": \"Europe/Paris\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/corporate/subAccount")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"companyName\": \"Test Sub-account\",\n  \"email\": \"test-sub@example.com\",\n  \"groupIds\": [\n    \"5f8f8c3b5f56a02d4433b3a7\",\n    \"5f8f8c3b5f56a02d4433b3a8\"\n  ],\n  \"language\": \"fr\",\n  \"timezone\": \"Europe/Paris\"\n}"

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.brevo.com/v3/corporate/subAccount")
  .header("api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"companyName\": \"Test Sub-account\",\n  \"email\": \"test-sub@example.com\",\n  \"groupIds\": [\n    \"5f8f8c3b5f56a02d4433b3a7\",\n    \"5f8f8c3b5f56a02d4433b3a8\"\n  ],\n  \"language\": \"fr\",\n  \"timezone\": \"Europe/Paris\"\n}")
  .asString();
```

```csharp response
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/corporate/subAccount");
var request = new RestRequest(Method.POST);
request.AddHeader("api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"companyName\": \"Test Sub-account\",\n  \"email\": \"test-sub@example.com\",\n  \"groupIds\": [\n    \"5f8f8c3b5f56a02d4433b3a7\",\n    \"5f8f8c3b5f56a02d4433b3a8\"\n  ],\n  \"language\": \"fr\",\n  \"timezone\": \"Europe/Paris\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = [
  "api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "companyName": "Test Sub-account",
  "email": "test-sub@example.com",
  "groupIds": ["5f8f8c3b5f56a02d4433b3a7", "5f8f8c3b5f56a02d4433b3a8"],
  "language": "fr",
  "timezone": "Europe/Paris"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/corporate/subAccount")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```